export declare abstract class ObjectSet<T> implements Set<T> {
    readonly [Symbol.toStringTag]: 'Set';
    protected _values: Array<T>;
    constructor(iterable?: Iterable<T>);
    add(value: T): this;
    clear(): void;
    abstract delete(value: T): boolean;
    entries(): IterableIterator<[T, T]>;
    forEach(callback: (value: T, value2: T, set: Set<T>) => void, thisArg?: any): void;
    abstract has(value: T): boolean;
    keys(): IterableIterator<T>;
    get size(): number;
    values(): IterableIterator<T>;
    [Symbol.iterator](): IterableIterator<T>;
}
